Get bank account matter balances
curl --request GET \
--url https://api.smokeball.com/bankaccounts/{id}/matter-balances \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/bankaccounts/{id}/matter-balances"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/bankaccounts/{id}/matter-balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"balance": 1000,
"protectedBalance": 1000,
"availableBalance": 1000,
"unpresentedChequesBalance": 0,
"lastUpdated": "2023-11-07T05:31:56Z"
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Bank Accounts
Get bank account matter balances
Returns a list of bank account matter balances.
GET
/
bankaccounts
/
{id}
/
matter-balances
Get bank account matter balances
Path Parameters
Query Parameters
Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 500Returns items updated since the specified date and time.
Example:
"2022-04-23T14:00:00Z"
Filters items by the specified matter ID.
Example:
"da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262"
Response
When request is successful. Returns a collection of 'BankAccountMatterBalance' objects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
āI